Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap
Class TapException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.tap.TapException

All Implemented Interfaces:
  Serializable

    public class TapException

extends CascadingException

Class TapException is thrown from `Tap` and `Scheme` subclasses.

Use the payload `Tuple` constructor if being thrown from inside a Scheme and which for specific data to be trapped by a failure trap Tap. If the payload is not null, and there is a trap covering the source or sink Tap in question, it will be written to the trap Tap.

See Also:
  Serialized Form

Constructor Summary
`TapException()` Constructor TapException creates a new TapException instance.
`TapException(String string)` Constructor TapException creates a new TapException instance.
`TapException(String string, Throwable throwable)` Constructor TapException creates a new TapException instance.
`TapException(String string, Throwable throwable, Tuple payload)` Constructor TapException creates a new TapException instance.
`TapException(String string, Tuple payload)` Constructor TapException creates a new TapException instance.
`TapException(Tap tap, Fields incomingFields, Fields selectorFields, Throwable throwable)` Constructor TapException creates a new TapException instance.
`TapException(Throwable throwable)` Constructor TapException creates a new TapException instance.

Method Summary
`Tuple` | `getPayload()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TapException

    public TapException()

  Constructor TapException creates a new TapException instance.

### TapException

    public TapException(String string)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `string` - of type String

### TapException

    public TapException(String string,
                        Throwable throwable)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable

### TapException

    public TapException(String string,
                        Throwable throwable,
                        Tuple payload)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable
    `payload` - of type Tuple

### TapException

    public TapException(String string,
                        Tuple payload)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `string` - of type String
    `payload` - of type Tuple

### TapException

    public TapException(Throwable throwable)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `throwable` - of type Throwable

### TapException

    public TapException(Tap tap,
                        Fields incomingFields,
                        Fields selectorFields,
                        Throwable throwable)

  Constructor TapException creates a new TapException instance.

  Parameters:
    `tap` - of type Tap
    `incomingFields` - of type Fields
    `selectorFields` - of type Fields
    `throwable` - of type Throwable

Method Detail

### getPayload

    public Tuple getPayload()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.